libpreludedbcpp2_4.1.0-1_i386.deb


Advertisement

Description

libpreludedbcpp2 - Security Information and Events Management System [ C++ library ]

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpreludedbcpp2
Package version 4.1.0
Package release 1
Package architecture i386
Package type deb
Installed size 75 B
Download size 17.81 KB
Official Mirror archive.ubuntu.com
The PreludeDB Library provides an abstraction layer upon the type and the
format of the database used to store IDMEF alerts. It allows developers to use
the Prelude IDMEF database easily and efficiently without worrying about SQL,
and to access the database independently of the type/format of the database.
This package contains the Prelude C++ shared library.

Alternatives

Package Version Architecture Repository
libpreludedbcpp2_4.1.0-1_amd64.deb 4.1.0 amd64 Ubuntu Universe
libpreludedbcpp2 - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libpreludedb7 >= 4.1
libstdc++6 >= 5.2

Download

Type URL
Binary Package libpreludedbcpp2_4.1.0-1_i386.deb
Source Package libpreludedb

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpreludedbcpp2 deb package:
    # sudo apt-get install libpreludedbcpp2

Files

Path
/usr/lib/i386-linux-gnu/libpreludedbcpp.so.2
/usr/lib/i386-linux-gnu/libpreludedbcpp.so.2.2.1
/usr/share/doc/libpreludedbcpp2/changelog.Debian.gz
/usr/share/doc/libpreludedbcpp2/copyright

Changelog

2018-03-11 - Thomas Andrejak <thomas.andrejak@gmail.com>
libpreludedb (4.1.0-1) unstable; urgency=medium
* Bump version 4.1.0 (Closes: #892553)
- remove unnecessary patch: 006-update-gtkdoc-files.patch
- Update dependencies: libprelude 4.1 is required
* d/control:
- Update descriptions
- Add multiarch fields
* d/rules: add missing include architecture.mk
* Update copyrights dates
* Add symbols for libpreludedb7 and libpreludedbcpp2
2018-02-10 - Thomas Andrejak <thomas.andrejak@gmail.com>
libpreludedb (3.1.0-2) unstable; urgency=medium
* Bump Standard-Version to 4.1.3, no changes needed
* Bump debhelper version to 11
* Update compat file from 10 to 11
* New patches:
- 007-update_m4_postgresql.patc
Fix compatibility with new libpq (Closes: #887940)
- 008-Fix_libdir_definition.patch
Fix libdir definition (Closes: #722799)
* Update d/control Vcs-* entries to migrate to Salsa
2017-11-20 - Thomas Andrejak <thomas.andrejak@gmail.com>
libpreludedb (3.1.0-1) unstable; urgency=medium
* Push to unstable
* Add Thomas Andrejak as uploader in d/control
* Bump Standard-Version to 4.1.1, no changes needed
* Remove trailing whitespace in d/changelog
2017-09-24 - Thomas Andrejak <thomas.andrejak@gmail.com>
libpreludedb (3.1.0-0.2) experimental; urgency=medium
* Non-maintainer upload.
* Update gtkdoc files to be compatible with gtkdoc-1.26 (Closes: #876709)
- Update gtk-doc.make and m4/gtk-doc.m4
- Using https://github.com/GNOME/gtk-doc
* Add libglib2.0-dev to build-dep-indep because it is required for gtk-doc
2017-08-15 - Thomas Andrejak <thomas.andrejak@gmail.com>
libpreludedb (3.1.0-0.1) experimental; urgency=medium
* Non-maintainer upload.
* Add support and dependencies for Python3 bindings
* Add PreludeDB documentation with gtk-doc
* Cleanup rules file
- Clean all directives
- Support Build profiles nopython
- Build the documentation only when building the indep packages
* Addition of the upstream signing key
* Update of watch file
* Bump version 3.1.0 (Closes: #872260)
- Bump soname version: C to 7, C++ to 2
- Patches :
- Remove unnecessary patches now upstream included them
- 001-manpages.patch: Fix manpage syntax
- 002-undefined_non_weak_symbol.patch: Fix undefined non weak symbol
- 003-Add-pkg-config-file.patch: Deprecate libpreludedb-config
for pkg-config
- 004-Add_support_for_python_3.5_and_3.6.patch: Add simultaneous
support for python 3.5 and 3.6
- 005-Clarify_License.patch: Clarify README.LICENSE
* Control :
- Remove unnecessary PreDepends
- Change Priority from extra to optional
- Add Vcs fields
- Bump Standards-Version to 4.0.1
- Bump debhelper compat level to 10, drop explicit autoreconf, now part
of debhelper standard sequence.
- Set Homepage field
- Remove of uneccesary/duplicated Section fields
* Rewriting of copyright file to fit the machine-readable format
* Add missing copyright information
* Add new package: preludedb-utils
- Handle preludedb-admin and it's manpage
2017-01-12 - Andreas Beckmann <anbe@debian.org>
libpreludedb (1.0.0-2.4) unstable; urgency=medium
* Non-maintainer upload.
* Mickael Profeta has retired, promote Pierre Chifflier from Uploaders to
Maintainer.  (Closes: #838923)
* Switch Build-Depends to default-libmysqlclient-dev.
(Closes: #845867, #790467)
* Use dh_autoreconf.  (Closes: #744617, #558580)
* Add missing Build-Depends: dh-python.
* Add missing build-arch/build-indep targets.
* Switch to source format 3.0 (quilt).
2014-08-15 - Andreas Metzler <ametzler@debian.org>
libpreludedb (1.0.0-2.3) unstable; urgency=medium
* Non-maintainer upload.
* Rebuild against GnuTLS v3. Drop build-dependency on libgnutls-dev.
libpreludedb does not use GnuTLS directly and its build-dependency on
libprelude-dev pulls in GnuTLS development packages.
Closes: #754772

See Also

Package Description
libpresage-data_0.9.1-2.1ubuntu4_all.deb intelligent predictive text entry platform (data files)
libpresage-dev_0.9.1-2.1ubuntu4_i386.deb intelligent predictive text entry platform (development files)
libpresage-doc_0.9.1-2.1ubuntu4_all.deb intelligent predictive text entry platform (documentation)
libpresage1v5_0.9.1-2.1ubuntu4_i386.deb intelligent predictive text entry platform (shared library)
libpri-dev_1.6.0-1_i386.deb Primary Rate ISDN specification development files
libpri1.4_1.6.0-1_i386.deb Primary Rate ISDN specification library
libprimesieve-dev-common_6.3+ds-2ubuntu1_all.deb fast prime number generator C/C++ library -- headers
libprimesieve-dev_6.3+ds-2ubuntu1_i386.deb fast prime number generator C/C++ library -- libdev
libprimesieve8_6.3+ds-2ubuntu1_i386.deb fast prime number generator C/C++ library -- lib
libprintsys-dev_0.6-13ubuntu2_i386.deb printcap parser, helper for gnulpr's printfilters, dev files
libprintsys_0.6-13ubuntu2_i386.deb printcap parser, helper for gnulpr's printfilters
libprismatic-plumbing-clojure_0.5.4-1_all.deb Clojure utility belt library
libprismatic-schema-clojure_1.1.6-1_all.deb Clojure(Script) library for declarative data description and validation
libprison-dev_1.1.1-1_i386.deb barcode API for Qt - development files
libprison0_1.1.1-1_i386.deb barcode API for Qt
Advertisement
Advertisement